%define module 	XMLNews-Meta
%define version 0.01
%define release %mkrel 12

Summary:	%{module} perl module
Name: 		perl-%{module}
Version: 	%{version}
Release: 	%{release}
License:	GPL
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{module}
Source0:	%{module}-%{version}.tar.bz2
BuildRequires:	perl-devel 
BuildRequires:  perl(XML::Parser)
Requires:	perl 

Buildarch:	noarch

%description
%{module} - module designed to read and write an XML-based news metadata

%prep
%setup -q -n %{module}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
make

%check
make test

%install

make PREFIX=$RPM_BUILD_ROOT%{_prefix} install DESTDIR=$RPM_BUILD_ROOT

%clean 
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc README MANIFEST Changes
%{perl_vendorlib}/XMLNews/
%_mandir/*/*





%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.01-12.mga3
+ Revision: 375264
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 19 2011 jquelin <jquelin> 0.01-11.mga1
+ Revision: 23930
- cleaning spec file
- imported package perl-XMLNews-Meta

